package com.shixing.sxedit.delegate;



import com.shixing.sxedit.SXAnimationEffect;
import com.shixing.sxedit.SXFilterEffect;

import java.util.List;

public interface SXAnimationDelegate {

    /**
     * 添加视频动画，时间处理方式为伸缩（相当于调整倍速）
     *
     * @param animationPath 视频动画资源路径
     * @param duration, 时长, 单位:秒
     * @param index, 添加的位置，-1 表示在末尾追加
     * @return 视频动画对象，失败返回null
     */
    SXAnimationEffect addAnimation(String animationPath, double duration, int index);

    /**
     * 复制现有视频动画并添加
     *
     * @param effect 要复制的视频动画对象
     * @param index, 添加的位置
     * @return 新的视频动画对象，失败返回null
     */
    SXAnimationEffect addAnimationByCopy(SXAnimationEffect effect, int index);

    /**
     * 移除视频动画
     *
     * @param animationId 视频动画ID
     * @return 删除成功返回true，否则返回false
     */
    boolean removeAnimation(String animationId);
    /**
     * 通过ID获取一个滤镜
     *
     * @param animationId 视频动画ID
     * @return SXAnimationEffect
     */
    SXAnimationEffect getAnimation(String animationId);
    /**
     * 获取所有视频动画
     *
     * @return 视频动画List集合
     */
    List<SXAnimationEffect> getAnimations();

    /**
     * 获取当前视频动画数
     *
     * @return int
     * */
    int getNumAnimations();
}